ncurses_nocbreak
ncurses_nonl
Ncurses Functions
PHP Manual

# ncurses_noecho

Switch off keyboard input echo

### Description

bool ncurses_noecho ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Prevents echoing of user typed characters.

### Return Values

Returns `TRUE` if any error occurred, `FALSE` otherwise.

### See Also

- ncurses_echo
- ncurses_getch